      subroutine setup_grid1 (tile)      


      use Agrif_Util
#include "Param_BeforeCall_setup_grid1.h"
      integer(4) :: tile
      

        call Sub_Loop_setup_grid1(tile, Agrif_tabvars_i(8)%iarray0, Agri
     &f_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_setup_grid1.h"
      subroutine setup_grid1_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_setup_grid1_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_setup_grid1_tile(Istr,Iend,Jstr,Jend, Agrif_tabvar
     &s_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%i
     &array0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(76)%array2, Agri
     &f_tabvars_r(22)%array0, Agrif_tabvars(77)%array2, Agrif_tabvars(80
     &)%array2, Agrif_tabvars(95)%array2, Agrif_tabvars(96)%array2, Agri
     &f_tabvars(88)%array2, Agrif_tabvars(87)%array2, Agrif_tabvars(78)%
     &array2, Agrif_tabvars(91)%array2, Agrif_tabvars(93)%array2, Agrif_
     &tabvars(97)%array2, Agrif_tabvars(98)%array2, Agrif_tabvars(83)%ar
     &ray2, Agrif_tabvars(81)%array2, Agrif_tabvars(79)%array2, Agrif_ta
     &bvars(92)%array2, Agrif_tabvars(94)%array2, Agrif_tabvars(99)%arra
     &y2, Agrif_tabvars(100)%array2, Agrif_tabvars(84)%array2, Agrif_tab
     &vars(90)%array2, Agrif_tabvars(89)%array2, Agrif_tabvars(86)%array
     &2, Agrif_tabvars(85)%array2, Agrif_tabvars(101)%array2, Agrif_tabv
     &ars(102)%array2, Agrif_tabvars(103)%array2, Agrif_tabvars(104)%arr
     &ay2, Agrif_tabvars(113)%array2, Agrif_tabvars(112)%array2, Agrif_t
     &abvars_l(13)%larray0, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_l(
     &14)%larray0, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_i(7)%iarra
     &y0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_setup_grid1_tile.h"
